/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : P be 22 12:46:35 CET 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "pcmm.h"

static const char *description =
	I18N_NOOP("Pcmm");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
	KAboutData aboutData( "pcmm", I18N_NOOP("Pcmm"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002, Tom Potrusil", 0, 0, "potrto@@centrum.cz");
	aboutData.addAuthor("Tom Potrusil",0, "potrto@@centrum.cz");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

	KApplication app;
	
	if (app.isRestored())
	{
		RESTORE(Pcmm);
	}
	else
	{
		Pcmm *pcmm = new Pcmm();
		//a.setMainWidget(pcmm);
		pcmm->show();

		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
			//application->openDocumentFile(args->arg(0));
		}
		else
		{
			//application->openDocumentFile();
		}
		args->clear();
	}

	return app.exec();
}
