/***************************************************************************
                          pmkdirdialog.h  -  description
                             -------------------
    begin                : Mon May 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MKDIRDIALOG_H
#define MKDIRDIALOG_H

#include <qwidget.h>
#include <qlineedit.h>
#include <kdialogbase.h>

/**
 * Dialog that asks user for new directory name
 */
class PMkDirDialog: public KDialogBase {
public:
	PMkDirDialog( QWidget *parent );
	~PMkDirDialog();

	/**
	 * @returns new directory name
	 */
	QString newDir();
private:
	QLineEdit *line_edit;
};

#endif
