/***************************************************************************
                          advancedconfig.h  -  description
                             -------------------
    begin                : t z 17 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ADVANCEDCONFIG_H
#define ADVANCEDCONFIG_H

#include <qframe.h>
#include <qlabel.h>
#include <qcheckbox.h>

/**
 * Widget contains tabs for advanced configuration
 */
class AdvancedConfig: public QFrame {
    Q_OBJECT
public:
    AdvancedConfig( QWidget* parent, const char* name = 0 );
    ~AdvancedConfig();

protected:
    QLabel *llabel, *rlabel;
    QCheckBox *lcache, *lfam, *rcache, *rfam;
};

#endif
