/***************************************************************************
                          advancedconfigimpl.h  -  description
                             -------------------
    begin                : t z 17 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ADVANCEDCONFIGIMPL_H
#define ADVANCEDCONFIGIMPL_H

#include "advancedconfig.h"

class AdvancedConfigImpl: public AdvancedConfig {
    Q_OBJECT
public:
    AdvancedConfigImpl( QWidget *parent, const char *name = 0 );
    ~AdvancedConfigImpl();

public slots:
    void setup();
    void applyChanges();
    void readSettings();
    void saveSettings();
    void defaultSettings();
};

#endif
