/***************************************************************************
                          general.h  -  description
                             -------------------
    begin                : Ne z 8 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GENERALCONFIG_H
#define GENERALCONFIG_H

#include <qframe.h>
#include <qcheckbox.h>
#include <qlineedit.h>

/**
 * A widget that displays general configuration of the application
 */
class GeneralConfig: public QFrame {
    Q_OBJECT
public:
    GeneralConfig( QWidget* parent, const char* name = 0 );
    ~GeneralConfig();

protected:
    QCheckBox *save_path;
    QCheckBox *save_conf;
    QLineEdit *editor;
    QLineEdit *tempfile;
    QLineEdit *database_file;

protected slots:
    virtual void slotBrowseTempFile();
    virtual void slotBrowseDatabaseFile();
    virtual void slotBrowseEditor();
};

#endif
