/***************************************************************************
                          generalimpl.h  -  description
                             -------------------
    begin                : Ne z 8 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GENERALCONFIGIMPL_H
#define GENERALCONFIGIMPL_H

#include "generalconfig.h"

/**
 * Implementation of @ref GeneralConfig
 */
class GeneralConfigImpl: public GeneralConfig {
    Q_OBJECT
public:
    GeneralConfigImpl( QWidget *parent, const char *name = 0 );
    ~GeneralConfigImpl();

public slots:
    void setup();
    void applyChanges();
    void readSettings();
    void saveSettings();
    void defaultSettings();

protected slots:
    void slotBrowseTempFile();
    void slotBrowseDatabaseFile();
    void slotBrowseEditor();
};

#endif
