/***************************************************************************
                          panelconfigimpl.h  -  description
                             -------------------
    begin                : P z 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PANELCONFIGIMPL_H
#define PANELCONFIGIMPL_H

#include "panelconfig.h"
/**
 * Implementation of @ref PanelConfig
 */
class PanelConfigImpl: public PanelConfig {
    Q_OBJECT
public:
    PanelConfigImpl( bool left, QWidget *parent, const char *name = 0 );
    ~PanelConfigImpl();

public slots:
    void setup();
    void applyChanges();
    void readSettings();
    void saveSettings();
    void defaultSettings();
};

#endif
