/***************************************************************************
                          pdeletedialog.h  -  description
                             -------------------
    begin                : Mon May 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PDELETEDIALOG_H
#define PDELETEDIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <stdio.h>
#include <kurl.h>
#include <qcheckbox.h>

/**
 * Dialog that commits file deleting
 * @author Tom Potrusil
 */

class PDeleteDialog : public KDialogBase  {
   Q_OBJECT
public: 
	PDeleteDialog(QWidget *parent, const KURL::List& url_list );
	~PDeleteDialog();

	/**
	 * @returns true if you want to shred the files
	 */
	bool Shred();
private:
	QCheckBox *check_box;
};

#endif
